package controllers;

import play.*;
import play.data.validation.Email;
import play.data.validation.Required;
import play.data.validation.Valid;
import play.data.validation.Validation;
import play.mvc.*;

import java.util.*;

import models.*;

public class Application extends DDController {

    public static void index() {

        List<Member> ausserordentlich = Member.findByType(
                Member.TYPE.AUSSERORDENTLICH);
        List<Member> ordentlich = Member.find(
                "byType",Member.TYPE.ORDENTLICH).fetch();

        render(ausserordentlich, ordentlich);
    }

    public static void test()
    {
        String meinText = "Die JSUG ist super";

        List<String> meineTexte = Arrays.asList("eins", "zwei", "drei");

        render(meinText, meineTexte);
    }


    public static void signup()
    {
        Member m = new Member();
        render(m);
    }

    public static void processSignup(
            @Required String firstname,
            @Required String lastname,
            @Required @Email String email){
        checkAuthenticity();

        if(Validation.hasErrors())
        {
            Validation.keep();
            params.flash();
            render("Application/signup.html");
        }
        Member m = new Member();
        m.firstname = firstname;
        m.lastname = lastname;
        m.email = email;
        String password = UUID.randomUUID().toString();
        m.password = password;
        m.save();
        Mails.sendRegistrationMail(m, password);
        render("Application/signupComplete.html", m);
    }



}