import models.Member;
import org.junit.Before;
import org.junit.Test;
import play.Logger;
import play.test.Fixtures;
import play.test.UnitTest;

import java.util.List;

/**
 * Dominik Dorn
 * 0626165
 * dominik.dorn@tuwien.ac.at
 */
public class MemberTest extends UnitTest {

    @Before
    public void setup() {
        Fixtures.deleteAll();
        Fixtures.load("data.yml");
    }

    @Test
    public void testPersist() throws Exception {

        List<Member> members = Member.findAll();
        assertEquals(2, members.size());
        Member dominik = new Member();
        dominik.firstname = "dominik";
        dominik.lastname = "dorn";
        dominik.email = "dominik@dominikdorn.com";
        dominik.password = "test123";

        dominik.save();
        members = Member.findAll();
        assertEquals(3, members.size());
    }

    @Test
    public void testPasswordEncrypted() throws Exception {

        List<Member> members = Member.findAll();
        assertEquals(2, members.size());
        Member andreas = members.get(0);
        assertEquals("Andreas", andreas.firstname);
        assertEquals("Petersson", andreas.lastname);
        assertNotSame("*********", andreas.password);
        assertNotNull(andreas.password);
        Logger.debug("andreas encrypted password "
                + andreas.password);


    }

    @Test
    public void testByType()
    {
        List<Member> members = Member.findByType(Member.TYPE.ORDENTLICH );
        assertEquals(1, members.size());
        assertEquals("Andreas", members.get(0).firstname);

        List<Member> others = Member.findByType(Member.TYPE.AUSSERORDENTLICH);
        assertEquals(1, others.size());
        assertEquals("Jan", others.get(0).firstname);
    }


}
